#include<bits/stdc++.h>

using namespace std;

int samoJednoSlovo(string s, char a){
    int r = 0;
    for(int i = 0;i<s.size();i++){
        if(s[i]==a){
            r++;
        }
    }
    return r;
}

int main(){
    string t, s;
    cin>>t>>s;
    if(s=="a"){
        int r = 0;
        for(int i = 0;i<t.size();i++){
            if(t[i]=='a'){
                t[i] = '*';
                r++;
            }
        }
        cout<<r<<endl<<t<<endl;
        return 0;
    } else if((samoJednoSlovo(s, 'a'))==s.size()){
        int r = max(((samoJednoSlovo(t, 'a') - samoJednoSlovo(s, 'a'))+1), 0);
        int g = 0;
        for(int i = 0;i<t.size()&&g<r;i++){
            if(t[i]=='a'){
                t[i] = '*';
                g++;
            }
        }
        cout<<r<<endl<<t<<endl;
    }


    return 0;
}